Robot Simulator of the Robotics Group for Self-Organization of Control: One2OneWiring Class Reference

# One2OneWiring Class Reference

Implements one to one wiring of robot sensors to inputs of the controller and controller outputs to robot motors. More...

`#include <one2onewiring.h>`

Inherits AbstractWiring.

Inherited by MotorNoiseWiring, SelectiveNoiseWiring, and SelectiveOne2OneWiring.

Collaboration diagram for One2OneWiring:
[legend]

List of all members.

## Public Member Functions
| One2OneWiring (NoiseGenerator *noise, int plotMode=Controller, int blind=0, const std::string &name="One2OneWiring")
| constructor
virtual | ~One2OneWiring ()
| destructor
## Protected Member Functions
virtual bool | initIntern ()
| initializes the number of sensors and motors on robot side, calculate number of sensors and motors on controller side
virtual bool | wireSensorsIntern (const sensor *rsensors, int rsensornumber, sensor *csensors, int csensornumber, double noise)
| Realizes one to one wiring from robot sensors to controller sensors.
virtual bool | wireMotorsIntern (motor *rmotors, int rmotornumber, const motor *cmotors, int cmotornumber)
| Realizes one to one wiring from controller motor outputs to robot motors.
## Protected Attributes
int | blind
motor * | blindmotors
| number of blind channels

## Detailed Description

Implements one to one wiring of robot sensors to inputs of the controller and controller outputs to robot motors.

Examples:

  integration/main.cpp, and template_sphererobot/main.cpp.

## Constructor & Destructor Documentation

One2OneWiring | ( | NoiseGenerator * | noise,
|  | int | plotMode = `Controller`,
|  | int | blind = `0`,
|  | const std::string & | name = `"One2OneWiring"` |
| ) |  |  |

constructor

Parameters:

  | noise | NoiseGenerator that is used for adding noise to sensor values
  | plotMode | see AbstractWiring
  | blind | number of blind channels (additional sensors and motors coupled directly)

~One2OneWiring | ( |  | ) | `[virtual]`

destructor

## Member Function Documentation

bool initIntern | ( |  | ) | `[protected, virtual]`

initializes the number of sensors and motors on robot side, calculate number of sensors and motors on controller side

initializes the number of sensors and motors from robot, calculate

Implements AbstractWiring.

Reimplemented in MotorNoiseWiring, and SelectiveOne2OneWiring.

bool wireMotorsIntern | ( | motor * | rmotors,
|  | int | rmotornumber,
|  | const motor * | cmotors,
|  | int | cmotornumber |
| ) |  |  | `[protected, virtual]`

Realizes one to one wiring from controller motor outputs to robot motors.

Parameters:

  | rmotors | pointer to array of motorvalues for robot
  | rmotornumber | number of robot motors
  | cmotors | pointer to array of motorvalues from controller
  | cmotornumber | number of motorvalues from controller

Implements AbstractWiring.

Reimplemented in MotorNoiseWiring.

bool wireSensorsIntern | ( | const sensor * | rsensors,
|  | int | rsensornumber,
|  | sensor * | csensors,
|  | int | csensornumber,
|  | double | noise |
| ) |  |  | `[protected, virtual]`

Realizes one to one wiring from robot sensors to controller sensors.

Parameters:

  | rsensors | pointer to array of sensorvalues from robot
  | rsensornumber | number of sensors from robot
  | csensors | pointer to array of sensorvalues for controller
  | csensornumber | number of sensors to controller
  | noise | size of the noise added to the sensors

Implements AbstractWiring.

Reimplemented in SelectiveNoiseWiring, and SelectiveOne2OneWiring.

## Member Data Documentation

int blind`[protected]`

motor* blindmotors`[protected]`

number of blind channels

blind motor values

The documentation for this class was generated from the following files:

- one2onewiring.h
- one2onewiring.cpp